Bug 1473352 - DNSSearchForming: Event Spam
DNSSearchForming: Event Spam
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Pod (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.7.0
Assigned To: Seth Jennings
DeShuai Ma
:
Depends On: 1471198
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 11:10 EDT by Eric Paris
Modified: 2017-11-02 14:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of: 1471198
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Paris 2017-07-20 11:10:35 EDT
+++ This bug was initially created as a clone of Bug #1471198 +++

I see lots of events like:

Pod Warning   DNSSearchForming   kubelet, ip-172-31-52-130.ec2.internal   Found and omitted duplicated dns domain in host search line: 'cluster.local' during merging with cluster dns domains

1 pod is showing these events more than once per second.

Do we need these at all?
Should they be rate limited? (are they?)
Is this a misconfiguration of some sort?

--- Additional comment from Eric Paris on 2017-07-14 12:19:16 EDT ---



--- Additional comment from Derek Carr on 2017-07-17 10:37:52 EDT ---

Upstream PR:
https://github.com/kubernetes/kubernetes/pull/48960

--- Additional comment from Derek Carr on 2017-07-17 10:42:09 EDT ---

The rate limiting work we are carrying in Origin pending:
https://github.com/kubernetes/kubernetes/pull/47367

will make a major improvement to the rate of events in this case.

This event serves the cluster operator more than the cluster end-user.

Agree it should be removed.

--- Additional comment from Derek Carr on 2017-07-17 16:12:10 EDT ---

Origin PR:
https://github.com/openshift/origin/pull/15246

--- Additional comment from Derek Carr on 2017-07-19 15:28:09 EDT ---

Origin 3.6 PR:
https://github.com/openshift/origin/pull/15350

--- Additional comment from Derek Carr on 2017-07-20 11:03:09 EDT ---

merged in 3.6.
Comment 1 Seth Jennings 2017-08-08 18:08:00 EDT
Eric, what is this clone tracking?
Comment 2 Eric Paris 2017-08-08 21:08:06 EDT
This BZ is to track the fix on origin/master==3.7
Comment 3 Derek Carr 2017-08-18 23:51:48 EDT
all code has merged.
Comment 5 DeShuai Ma 2017-09-28 02:24:10 EDT
Verified on openshift v3.7.0-0.127.0
kubernetes v1.7.0+80709908fd
etcd 3.2.1
No "DNSSearchForming" message in events
Comment 6 Jonh Wendell 2017-10-19 07:35:18 EDT
i'm still getting those spam dns messages.

openshift v3.7.0-0.143.4
kubernetes v1.7.0+80709908fd

$ oc get events
LASTSEEN   FIRSTSEEN   COUNT     NAME                  KIND                    SUBOBJECT                     TYPE      REASON                  SOURCE                                             MESSAGE
48m        48m         6         broker-amq-1-deploy   Pod                                                   Warning   DNSSearchForming        kubelet, xxx   Search Line limits were exceeded, some dns names have been omitted, the applied search line is: amq.svc.cluster.local svc.cluster.local cluster.local xyz zyx yxz
Comment 7 Seth Jennings 2017-10-19 09:24:10 EDT
John, the bug pertained only to warnings for duplicate dns entries.  If the search list is truncated, you will still see an error, and that is by design.

The number of domains is limited to 6 and the total length of the search string is limited to 255.

Note You need to log in before you can comment on or make changes to this bug.